VERSION 5.00
Begin VB.Form frmBorderMovable 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   2415
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3615
   Icon            =   "BorderMovable.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2415
   ScaleWidth      =   3615
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1920
      TabIndex        =   2
      Top             =   1920
      Width           =   1575
   End
   Begin VB.CommandButton cmdOK 
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   1920
      Width           =   1575
   End
   Begin VB.Frame frmBrdr 
      Height          =   1695
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3375
      Begin VB.CheckBox chkAll 
         Height          =   375
         Left            =   120
         TabIndex        =   6
         Top             =   1200
         Width           =   3135
      End
      Begin VB.CheckBox chkRoundRect 
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   840
         Width           =   3135
      End
      Begin VB.CommandButton cmdColor 
         BackColor       =   &H00FFFFFF&
         Height          =   315
         Left            =   2880
         Style           =   1  'Graphical
         TabIndex        =   4
         Top             =   360
         Width           =   375
      End
      Begin VB.ComboBox cmbWidth 
         Height          =   315
         Left            =   120
         Style           =   2  'Dropdown List
         TabIndex        =   3
         Top             =   360
         Width           =   2655
      End
   End
End
Attribute VB_Name = "frmBorderMovable"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" And sPartner <> "fotek" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = frmBorder_Caption1
  frmBrdr.Caption = frmBorder_frmBrdr_Caption
  chkRoundRect.Caption = frmBorder_chkRoundRect_Caption
  chkAll.Caption = frmColor_chkAll_Caption
  cmdOK.Caption = frmBorder_cmdOK_Caption
  cmdCancel.Caption = frmBorder_cmdCancel_Caption
  cmbWidth.ToolTipText = frmBorder_cmbWidth_ToolTipText
  cmdColor.ToolTipText = frmBorder_cmdColor_ToolTipText
  cmbWidth.Clear
  cmbWidth.AddItem sNone
  cmbWidth.AddItem "0.5 mm (" & sThickness & ")"
  cmbWidth.AddItem "1.0 mm (" & sThickness & ")"
  cmbWidth.AddItem "2.0 mm (" & sThickness & ")"
  
  Dim oElem As MSXML.IXMLDOMElement
  
  For Each oElem In oDOMAlbum.documentElement.childNodes(iPage - 1).childNodes
  
    If oElem.baseName = "MOVABLE_TEXT" Then Exit For
    
  Next
  
  cmbWidth.Text = IIf(oElem.getAttribute("BORDERWIDTH") = vbNullString Or oElem.getAttribute("BORDERWIDTH") = "0.0", sNone, oElem.getAttribute("BORDERWIDTH") & " mm (" & sThickness & ")")
  If oElem.getAttribute("BORDERCOLOR") <> vbNullString Then cmdColor.BackColor = RGB2VB(oElem.getAttribute("BORDERCOLOR"))
  If oElem.getAttribute("ROUNDRECT") = "1" Then chkRoundRect.Value = 1
  Set oElem = Nothing
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorderMovable:Form_Load", Erl
  Resume Next
  
End Sub

Public Sub Busy()

  On Error GoTo Error_Handler
  Screen.MousePointer = vbHourglass
  cmbWidth.Enabled = False
  cmdColor.Enabled = False
  chkRoundRect.Enabled = False
  chkAll.Enabled = False
  cmdOK.Enabled = False
  cmdCancel.Enabled = False
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorderMovable:Busy", Erl
  Resume Next
  
End Sub

Public Sub NotBusy()

  On Error GoTo Error_Handler
  cmbWidth.Enabled = True
  cmdColor.Enabled = True
  chkRoundRect.Enabled = True
  chkAll.Enabled = True
  cmdOK.Enabled = True
  cmdCancel.Enabled = True
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorderMovable:NotBusy", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdColor_Click()

  On Error GoTo Error_Handler
  
'  If bColorpicker Then
  
    Dim lColor As Long
    
    ColorPicker.InitialColor = cmdColor.BackColor
    lColor = ColorPicker.ShowPicker(Me.hWnd)
    If lColor <> cmdColor.BackColor And ExtractR(lColor) >= 0 And ExtractR(lColor) < 256 And ExtractG(lColor) >= 0 And ExtractG(lColor) < 256 And ExtractB(lColor) >= 0 And ExtractB(lColor) < 256 Then cmdColor.BackColor = lColor
    
'  Else
  
'    CD1.Color = cmdColor.BackColor
'    CD1.ShowColor
'    If ExtractR(CD1.Color) >= 0 And ExtractR(CD1.Color) < 256 And ExtractG(CD1.Color) >= 0 And ExtractG(CD1.Color) < 256 And ExtractB(CD1.Color) >= 0 And ExtractB(CD1.Color) < 256 Then cmdColor.BackColor = CD1.Color
    
'  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorderMovable:cmdColor_Click", Erl
  Resume Next

End Sub

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorderMovable:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  Busy
  frmPixbook.PushStack
  Me.Hide 'To prevent wrong CaptureWindow in SaveThumb
  
  Dim oElem As MSXML.IXMLDOMElement
  
  If chkAll.Value = 0 Then
  
    For Each oElem In oDOMAlbum.documentElement.childNodes(iPage - 1).childNodes
    
      If oElem.baseName = "MOVABLE_TEXT" Then Exit For
      
    Next
    
    If cmbWidth.Text = sNone Then
    
      oElem.setAttribute "BORDERCOLOR", vbNullString
      oElem.setAttribute "BORDERWIDTH", "0.0"
      
    Else
    
      oElem.setAttribute "BORDERCOLOR", VB2RGB(cmdColor.BackColor)
      oElem.setAttribute "BORDERWIDTH", Left(cmbWidth.Text, 3)
      
    End If
    
    oElem.setAttribute "ROUNDRECT", chkRoundRect.Value
    
  Else
  
    Dim oPage As MSXML.IXMLDOMElement
    
    For Each oPage In oDOMAlbum.documentElement.childNodes
    
      For Each oElem In oPage.childNodes
      
        If oElem.baseName = "MOVABLE_TEXT" Then
        
          If cmbWidth.Text = sNone Then
          
            oElem.setAttribute "BORDERCOLOR", vbNullString
            oElem.setAttribute "BORDERWIDTH", "0.0"
            
          Else
          
            oElem.setAttribute "BORDERCOLOR", VB2RGB(cmdColor.BackColor)
            oElem.setAttribute "BORDERWIDTH", Left(cmbWidth.Text, 3)
            
          End If
          
          oElem.setAttribute "ROUNDRECT", chkRoundRect.Value
          
        End If
        
      Next
      
      If CInt(oPage.getAttribute("NR")) <> iPage Then
      
        CreatePage oPage, True
        SaveThumb CInt(oPage.getAttribute("NR"))
        
      End If
      
    Next
    
    Set oPage = Nothing
    
  End If
  
  frmPixbook.UnloadPage iPage
  CreatePage oDOMAlbum.documentElement.childNodes(iPage - 1), False
  frmPixbook.DOMChanged
  Set oElem = Nothing
  NotBusy
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorderMovable:cmdOK_Click", Erl
  Resume Next
  
End Sub
