VERSION 5.00
Begin VB.Form frmColor 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   1695
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3615
   Icon            =   "Color.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1695
   ScaleWidth      =   3615
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1920
      TabIndex        =   0
      Top             =   1200
      Width           =   1575
   End
   Begin VB.CommandButton cmdOK 
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   1200
      Width           =   1575
   End
   Begin VB.Frame Frame1 
      Height          =   735
      Left            =   120
      TabIndex        =   5
      Top             =   1080
      Visible         =   0   'False
      Width           =   3375
      Begin VB.CheckBox chkAll 
         Height          =   375
         Left            =   120
         TabIndex        =   6
         Top             =   240
         Width           =   3135
      End
   End
   Begin VB.Frame frmClr 
      Height          =   975
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   3375
      Begin VB.CommandButton cmdColor 
         BackColor       =   &H00000000&
         Height          =   315
         Left            =   2760
         Style           =   1  'Graphical
         TabIndex        =   3
         Top             =   360
         Width           =   375
      End
      Begin VB.Label lblColor 
         Height          =   375
         Left            =   240
         TabIndex        =   4
         Top             =   360
         Width           =   2415
         WordWrap        =   -1  'True
      End
   End
End
Attribute VB_Name = "frmColor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" And sPartner <> "fotek" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = frmColor_Caption
  lblColor.Caption = frmColor_lblColor_Caption
  chkAll.Caption = frmColor_chkAll_Caption
  cmdOK.Caption = frmColor_cmdOK_Caption
  cmdCancel.Caption = frmColor_cmdCancel_Caption
  cmdColor.ToolTipText = frmColor_cmdColor_ToolTipText
  
  If sPageType = "KALBUR" Then
  
    cmdColor.BackColor = frmPixbook.ftxtPage(1 + (iPage - 1) * KALP_FIXED_TEXT).ForeColor
    
  Else
  
    cmdColor.BackColor = frmPixbook.ftxtPage(ifTxtIdx).ForeColor
    
  End If
  
  If sPageType = "KALBUR" Then
  
    Frame1.Visible = True
    cmdOK.Top = 1920
    cmdCancel.Top = cmdOK.Top
    Me.Height = 2895
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmColor:Form_Load", Erl
  Resume Next
  
End Sub

Private Sub Busy()

  On Error GoTo Error_Handler
  Screen.MousePointer = vbHourglass
  cmdColor.Enabled = False
  chkAll.Enabled = False
  cmdOK.Enabled = False
  cmdCancel.Enabled = False
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmColor:Busy", Erl
  Resume Next
  
End Sub

Private Sub NotBusy()

  On Error GoTo Error_Handler
  cmdColor.Enabled = True
  chkAll.Enabled = True
  cmdOK.Enabled = True
  cmdCancel.Enabled = True
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmColor:NotBusy", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdColor_Click()

  On Error GoTo Error_Handler
  
'  If bColorpicker Then
  
    Dim lColor As Long
    
    ColorPicker.InitialColor = cmdColor.BackColor
    lColor = ColorPicker.ShowPicker(Me.hWnd)
    If lColor <> cmdColor.BackColor And ExtractR(lColor) >= 0 And ExtractR(lColor) < 256 And ExtractG(lColor) >= 0 And ExtractG(lColor) < 256 And ExtractB(lColor) >= 0 And ExtractB(lColor) < 256 Then cmdColor.BackColor = lColor
  
'  Else
  
'    CD1.Color = cmdColor.BackColor
'    CD1.ShowColor
'    If ExtractR(CD1.Color) >= 0 And ExtractR(CD1.Color) < 256 And ExtractG(CD1.Color) >= 0 And ExtractG(CD1.Color) < 256 And ExtractB(CD1.Color) >= 0 And ExtractB(CD1.Color) < 256 Then cmdColor.BackColor = CD1.Color
    
'  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmColor:cmdColor_Click", Erl
  Resume Next

End Sub

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmColor:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  Busy
  frmPixbook.PushStack
  Me.Hide 'To prevent wrong CaptureWindow in SaveThumb
  
  Dim oElem As MSXML.IXMLDOMElement
  
  If sPageType = "KALBUR" Then
  
    Dim i As Integer
    
    If chkAll.Value = 0 Then
    
      For i = 1 To KALP_FIXED_TEXT
      
        frmPixbook.ftxtPage(i + (iPage - 1) * KALP_FIXED_TEXT).ForeColor = cmdColor.BackColor
        
      Next
      
      For Each oElem In oDOMAlbum.documentElement.childNodes(iPage - 1).childNodes
      
        If oElem.baseName = "FIXED_TEXT" Then
        
          oElem.setAttribute "COLOR", VB2RGB(cmdColor.BackColor)
          
        End If
        
      Next
      
    ElseIf chkAll.Value = 1 Then
    
      For i = 1 To KALP_FIXED_TEXT
      
        frmPixbook.ftxtPage(i + (iPage - 1) * KALP_FIXED_TEXT).ForeColor = cmdColor.BackColor
        
      Next
      
      Dim oPage As MSXML.IXMLDOMElement
      
      For Each oPage In oDOMAlbum.documentElement.childNodes
      
        For Each oElem In oPage.childNodes
        
          If oElem.baseName = "FIXED_TEXT" Then
          
            oElem.setAttribute "COLOR", VB2RGB(cmdColor.BackColor)
            
          End If
          
        Next
        
        If CInt(oPage.getAttribute("NR")) <> iPage Then
        
          CreatePage oPage, True
          SaveThumb CInt(oPage.getAttribute("NR"))
          
        End If
        
      Next
      
      Set oPage = Nothing
      frmPixbook.UnloadPage iPage
      CreatePage oDOMAlbum.documentElement.childNodes(iPage - 1), False
      
    End If
    
  Else
  
    frmPixbook.ftxtPage(ifTxtIdx).ForeColor = cmdColor.BackColor
    
    Dim ifTxtCnt As Integer
    
    For Each oElem In oDOMAlbum.documentElement.childNodes((ifTxtIdx - 1) \ KALP_FIXED_TEXT).childNodes
    
      If oElem.baseName = "FIXED_TEXT" Then
      
        ifTxtCnt = ifTxtCnt + 1
        
        If ifTxtCnt = ((ifTxtIdx - 1) Mod KALP_FIXED_TEXT) + 1 Then
        
          oElem.setAttribute "COLOR", VB2RGB(cmdColor.BackColor)
          Exit For
          
        End If
        
      End If
      
    Next
    
  End If
  
  Set oElem = Nothing
  frmPixbook.DOMChanged
  NotBusy
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmColor:cmdOK_Click", Erl
  Resume Next
  
End Sub
